Summary:    An application dock applet for the MATE panel
Name:       mate-dock-applet
Version:    21.10.0
Release:    %mkrel 3
Group:      Graphical desktop/MATE
License:    GPLv3
Url:        https://github.com/ubuntu-mate/mate-dock-applet/
Source0:    https://github.com/ubuntu-mate/mate-dock-applet/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:     mate-dock-applet-21.10.0-remove-typelib-Wnck-from-gtk2.patch
BuildArch:  noarch

BuildRequires: python3
BuildRequires: pkgconfig(glib-2.0)

Requires: python3
Requires: mate-panel >= 1.20.0
Requires: python3dist(pyxdg)
Requires: python3-cairo
Requires: python3-gobject3
Requires: python3dist(pillow)
Requires: python3-xlib

%description
MATE Dock Applet is a MATE Panel applet that displays
running application windows as icons. The applet features
options to pin applications to the dock, supports multiple
workspaces, and can be added to any MATE Panel, regardless
of size and orientation

%prep
%autosetup -p1 -n %{name}-%{version}

#Fix applet path, no includes libs so move to datadir
sed -i "s|libdir|datadir|g" src/Makefile.am

%build
autoreconf -fi
%configure --with-gtk3
%make_build

%install
%make_install
%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc AUTHORS ChangeLog README
%{_datadir}/dbus-1/services/org.mate.panel.applet.DockAppletFactory.service
%{_datadir}/glib-2.0/schemas/org.mate.panel.applet.dock.gschema.xml
%{_datadir}/mate-panel/applets/org.mate.panel.DockApplet.mate-panel-applet
%{_datadir}/mate-applets/mate-dock-applet/



%changelog
* Mon Jun 30 2025 umeabot <umeabot> 21.10.0-3.mga10
+ Revision: 2229395
- Mageia 10 Mass Rebuild

* Tue Oct 22 2024 daviddavid <daviddavid> 21.10.0-2.mga10
+ Revision: 2109659
- remove unwanted typelib(Wnck) from gtk2

* Mon Jan 01 2024 papoteur <papoteur> 21.10.0-1.mga10
+ Revision: 2024952
- new version 21.10.0

* Mon Mar 21 2022 umeabot <umeabot> 20.04.0-2.mga9
+ Revision: 1813328
- Mageia 9 Mass Rebuild

* Fri Oct 02 2020 kekepower <kekepower> 20.04.0-1.mga8
+ Revision: 1631578
- Update to version 20.04.0

* Tue Feb 18 2020 umeabot <umeabot> 19.10.0-2.mga8
+ Revision: 1539646
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Dec 11 2019 kekepower <kekepower> 19.10.0-1.mga8
+ Revision: 1465777
- Update to version 19.10.0

* Sun Jan 27 2019 kekepower <kekepower> 0.88-1.mga8
+ Revision: 1361215
- Update to version 0.88

* Mon Dec 03 2018 kekepower <kekepower> 0.87-1.mga7
+ Revision: 1337864
- Update to version 0.87

* Thu Sep 20 2018 umeabot <umeabot> 0.85-2.mga7
+ Revision: 1279491
- Mageia 7 Mass Rebuild

* Wed Mar 21 2018 tarakbumba <tarakbumba> 0.85-1.mga7
+ Revision: 1211146
- Updated to 0.85 version

* Sat Mar 17 2018 tarakbumba <tarakbumba> 0.84-1.mga7
+ Revision: 1210199
- Updated to 0.84 version
- Updated to 0.83 version

* Wed Feb 14 2018 tarakbumba <tarakbumba> 0.81-1.mga7
+ Revision: 1201314
- Updated to 0.81 version

* Sat Jan 06 2018 tarakbumba <tarakbumba> 0.80-1.mga7
+ Revision: 1190588
- Updated to 0.80 version

* Sat Feb 25 2017 tarakbumba <tarakbumba> 0.76-1.mga6
+ Revision: 1087792
- imported package mate-dock-applet

